//
//  ProfileModel.swift
//  Comedores Sociales
//
//  Created by Hector Carrion on 12/16/20.
//

import Foundation

struct Profile {
    var name: String
    var email: String
    var phone: String
    var membership: String
    var membershipStatus = membership.undetermined
    var hoursWorked: Int = 0

    static let `default` = Profile(name: "Comedores Sociales", email: "user@comedores.com", phone: "787-555-5555", membership: "Loading...", membershipStatus: membership.undetermined, hoursWorked: 0)
    
    enum membership: String {
        case valid = "Valid"
        case expired = "Expired"
        case undetermined = "Unknown"
    }
}
